cURL
curl --request POST \
--url https://gateway.7exchange.io/wallet/1.0.0/{walletId}/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
{
"organizationId": "<string>",
"price": {
"balanceType": [
"<string>"
],
"name": "<string>",
"value": "<string>",
"ownerId": "<string>"
},
"amount": {
"balanceType": [
"<string>"
],
"name": "<string>",
"value": "<string>",
"ownerId": "<string>"
},
"context": {
"priority": 123,
"order": 123,
"enforcementPoint": [
"<string>"
],
"action": "<string>",
"conditions": {}
},
"sourceId": "<string>",
"destinationId": "<string>",
"orderType": "<string>",
"orderSide": "<string>",
"operationType": {
"operationType": "<string>",
"assetType": "<string>",
"name": "<string>",
"isSameWallet": true,
"ownerId": "<string>",
"operationDestination": {
"direction": "<string>",
"type": "<string>",
"ownerId": "<string>",
"operationAddresses": [
{
"type": "<string>",
"data": {
"name": "<string>",
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"limits": [
"<string>"
],
"fees": [
"<string>"
]
},
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"ip": "<string>"
},
"card": {
"cardNumber": "<string>",
"expiryMonth": "<string>",
"expirtyYear": "<string>",
"cvv": "<string>"
},
"createdBy": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"bankTransfer": {
"bankName": "<string>",
"holderName": "<string>",
"accountNumber": "<string>",
"iban": "<string>",
"bic": "<string>",
"email": "<string>",
"mobileNumber": "<string>",
"currency": "<string>",
"publicId": "<string>",
"network": "<string>"
},
"savedCard": {
"cvv": "<string>",
"redirectMethod": "<string>",
"registrationId": "<string>",
"paymentType": "<string>",
"customerIp": "<string>",
"merchantRedirectUrl": "<string>",
"terminalId": "<string>"
},
"cryptoTransfer": {
"publicId": "<string>"
},
"saveBeneficiary": true,
"isBankTransfer": true,
"isCryptoTransfer": true,
"paymentType": "<string>",
"merchantTransactionId": "<string>",
"notificationUrl": "<string>",
"merchantRedirectUrl": "<string>",
"customerId": "<string>",
"terminalId": {}
}
'import requests
url = "https://gateway.7exchange.io/wallet/1.0.0/{walletId}/order"
payload = {
"organizationId": "<string>",
"price": {
"balanceType": ["<string>"],
"name": "<string>",
"value": "<string>",
"ownerId": "<string>"
},
"amount": {
"balanceType": ["<string>"],
"name": "<string>",
"value": "<string>",
"ownerId": "<string>"
},
"context": {
"priority": 123,
"order": 123,
"enforcementPoint": ["<string>"],
"action": "<string>",
"conditions": {}
},
"sourceId": "<string>",
"destinationId": "<string>",
"orderType": "<string>",
"orderSide": "<string>",
"operationType": {
"operationType": "<string>",
"assetType": "<string>",
"name": "<string>",
"isSameWallet": True,
"ownerId": "<string>",
"operationDestination": {
"direction": "<string>",
"type": "<string>",
"ownerId": "<string>",
"operationAddresses": [
{
"type": "<string>",
"data": {
"name": "<string>",
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"limits": ["<string>"],
"fees": ["<string>"]
},
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"ip": "<string>"
},
"card": {
"cardNumber": "<string>",
"expiryMonth": "<string>",
"expirtyYear": "<string>",
"cvv": "<string>"
},
"createdBy": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"bankTransfer": {
"bankName": "<string>",
"holderName": "<string>",
"accountNumber": "<string>",
"iban": "<string>",
"bic": "<string>",
"email": "<string>",
"mobileNumber": "<string>",
"currency": "<string>",
"publicId": "<string>",
"network": "<string>"
},
"savedCard": {
"cvv": "<string>",
"redirectMethod": "<string>",
"registrationId": "<string>",
"paymentType": "<string>",
"customerIp": "<string>",
"merchantRedirectUrl": "<string>",
"terminalId": "<string>"
},
"cryptoTransfer": { "publicId": "<string>" },
"saveBeneficiary": True,
"isBankTransfer": True,
"isCryptoTransfer": True,
"paymentType": "<string>",
"merchantTransactionId": "<string>",
"notificationUrl": "<string>",
"merchantRedirectUrl": "<string>",
"customerId": "<string>",
"terminalId": {}
}
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
organizationId: '<string>',
price: {
balanceType: ['<string>'],
name: '<string>',
value: '<string>',
ownerId: '<string>'
},
amount: {
balanceType: ['<string>'],
name: '<string>',
value: '<string>',
ownerId: '<string>'
},
context: {
priority: 123,
order: 123,
enforcementPoint: ['<string>'],
action: '<string>',
conditions: {}
},
sourceId: '<string>',
destinationId: '<string>',
orderType: '<string>',
orderSide: '<string>',
operationType: {
operationType: '<string>',
assetType: '<string>',
name: '<string>',
isSameWallet: true,
ownerId: '<string>',
operationDestination: {
direction: '<string>',
type: '<string>',
ownerId: '<string>',
operationAddresses: [
{
type: '<string>',
data: {name: '<string>', value: '<string>'},
ownerId: '<string>'
}
]
},
limits: ['<string>'],
fees: ['<string>']
},
shipping: {
country: '<string>',
city: '<string>',
state: '<string>',
postcode: '<string>',
street1: '<string>'
},
customer: {
telnocc: '<string>',
phone: '<string>',
email: '<string>',
givenName: '<string>',
surname: '<string>',
ip: '<string>'
},
card: {
cardNumber: '<string>',
expiryMonth: '<string>',
expirtyYear: '<string>',
cvv: '<string>'
},
createdBy: '<string>',
paymentBrand: '<string>',
paymentMode: '<string>',
bankTransfer: {
bankName: '<string>',
holderName: '<string>',
accountNumber: '<string>',
iban: '<string>',
bic: '<string>',
email: '<string>',
mobileNumber: '<string>',
currency: '<string>',
publicId: '<string>',
network: '<string>'
},
savedCard: {
cvv: '<string>',
redirectMethod: '<string>',
registrationId: '<string>',
paymentType: '<string>',
customerIp: '<string>',
merchantRedirectUrl: '<string>',
terminalId: '<string>'
},
cryptoTransfer: {publicId: '<string>'},
saveBeneficiary: true,
isBankTransfer: true,
isCryptoTransfer: true,
paymentType: '<string>',
merchantTransactionId: '<string>',
notificationUrl: '<string>',
merchantRedirectUrl: '<string>',
customerId: '<string>',
terminalId: {}
})
};
fetch('https://gateway.7exchange.io/wallet/1.0.0/{walletId}/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Order
Create Order
POST
/
{walletId}
/
order
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

